Subject: Re: 'simple' push check that branch name matches does not work if push.default is unset (and hence implicitly simple)

From: Junio C Hamano <[email-masked]>
Date: Sun, 30 Nov 2014 18:21:20 -0800

Jeff King <[email-masked]> writes:

> There is some other magic with "simple", too, around triangular
> workflows. Describing it in detail would probably be too verbose in this
> message, but we do refer to the description of push.default, which is
> probably enough.  Technically this new bit you are adding here is
> covered there, too. But since we can improve the description by adding
> such a small amount of text in this case, it seems like a reasonable
> tradeoff.
>
> I suppose we could also customize the message based on the triangular
> and non-triangular cases. I dunno.

Yeah, I vaguely recall suggesting to polish advice message further
to help users along a similar line, but probably that fell in the
cracks.

Thanks for a quick fix.